Bug 1312107 - updating a host's facet should not require the facet id to be included in facet params
Summary: updating a host's facet should not require the facet id to be included in fac...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Shimon Shtein
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-25 18:23 UTC by Justin Sherrill
Modified: 2019-09-25 21:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:02:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13849 None None None 2016-04-22 16:18:03 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Internal Links: 1537491

Description Justin Sherrill 2016-02-25 18:23:31 UTC
Instead of requiring an update to a host's facet attributes to include the ID of the facet, look up the needed ID in the API controller and add to params. Facet IDs are not, imho, a user-facing aspect that needs to be exposed.


<pre>
{
    host_id: 123,
    host: {
        name: "abc.example.com",
        content_facet_attributes: {
            id: 1234,    <---- REMOVE
            lifecycle_environment_id: 12,
            content_view_id: 12
        },
        subscription_facet_attributes: {
            id: 1234,    <---- REMOVE
            service_level: "Premium"
         }
    }
}
</pre>

Comment 1 Justin Sherrill 2016-02-25 18:23:33 UTC
Created from redmine issue http://projects.theforeman.org/issues/13849

Comment 3 Bryan Kearney 2016-02-29 17:02:50 UTC
Upstream bug assigned to sshtein@redhat.com

Comment 4 Bryan Kearney 2016-03-09 17:03:03 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/13849 has been closed
-------------
Shimon Shtein
Applied in changeset commit:ec76b0092f9af5b8f7e2e02777f376b6b6e0d711.

Comment 6 jcallaha 2016-04-04 19:32:35 UTC
Verified in Satellite 6.2 Beta Snap 6 Compose 1.

Behavior now is as expected.

Comment 8 errata-xmlrpc 2016-07-27 09:02:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.